Search documentation of wx

# wxGridCellFloatEditor (wx v2.6)

Copy Markdown View Source

The editor for floating point numbers data.

See:

- `wxGridCellEditor`

- `wxGridCellBoolEditor`

- `wxGridCellChoiceEditor`

- `wxGridCellNumberEditor`

- `wxGridCellTextEditor`

This class is derived, and can use functions, from:

- `wxGridCellEditor`

wxWidgets docs: wxGridCellFloatEditor

## Summary

### Types

wxGridCellFloatEditor()

### Functions

destroy(This)

Destroys the object

new()

Equivalent to `new([])`.

new(Options)

Float cell editor ctor.

setParameters(This, Params)

The parameters string format is "width[,precision[,format]]" where `format` should be chosen between f|e|g|E|G (f is used by default)

## Types

# wxGridCellFloatEditor()

    -type wxGridCellFloatEditor() :: wx:wx_object().

## Functions

# destroy(This)

    -spec destroy(This :: wxGridCellFloatEditor()) -> ok.

Destroys the object

# new()

    -spec new() -> wxGridCellFloatEditor().

Equivalent to `new([])`.

# new(Options)

    -spec new([Option]) -> wxGridCellFloatEditor()
                 when Option :: {width, integer()} | {precision, integer()} | {format, integer()}.

Float cell editor ctor.

# setParameters(This, Params)

    -spec setParameters(This, Params) -> ok
                           when This :: wxGridCellFloatEditor(), Params :: unicode:chardata().

The parameters string format is "width[,precision[,format]]" where `format` should be chosen between f|e|g|E|G (f is used by default)